Name:           libmesh
Version:        1.7.1
Release:        %autorelease
Summary:        Cross-platform, efficient, customizable, and robust asynchronous HTTP/WebSocket server C++14 library

License:        BSD AND MIT AND ZLIB
URL:            https://github.com/libMesh/libmesh
Source0:        %{url}/releases/download/v%{version}/libmesh-%{version}.tar.xz

BuildRequires:  gcc-c++ gcc-fortran
BuildRequires:  make
BuildRequires:  m4
BuildRequires:  flexiblas-devel
BuildRequires:  glpk-devel
BuildRequires:  hdf5-devel
BuildRequires:  NLopt-devel

%description
RESTinio is a header-only C++14 library that gives you an embedded
HTTP/Websocket server. It is based on standalone version of ASIO and targeted
primarily for asynchronous processing of HTTP-requests. Since v.0.4.1
Boost::ASIO (1.66 or higher) is also supported (see notes on building with
Boost::ASIO).

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%configure \

%make_build

%install
%make_install

%files
%license COPYING

%files devel
%doc README.md


%changelog
%autochangelog
